intro:
  namespace: "Organisms/TM - Intro"
  use: "@organisms/tm-intro/intro/intro.twig"
  label: Intro
  description: A highlighted stand first intro with optional link
  libraries:
    - intro_lib:
        css:
          component:
            ../styles/intro.css: { weight: 10 }

  fields:
    content:
      type: text
      label: Content
      preview:
        faker: lorem.paragraphs
    link:
      type: object
      label: Link
      description: A link render array
      preview:
        'url': URL
        'title': Link text

  settings:
    alt_colour:
      type: boolean
      label: Alt colour
      default: false
      preview: false

  variants:
    __default:
      label: Default
    alt_colour:
      label: Alternative colour
      settings:
        alt_colour: true

